Loading...
Searching...
No Matches
exiv2app.hpp File Reference

Defines class Params, used for the command line handling of exiv2. More...

`#include <exiv2/exiv2.hpp>`
`#include "utils.hpp"`
`#include "types.hpp"`
`#include "getopt.hpp"`
`#include <string>`
`#include <vector>`
`#include <set>`
`#include <iostream>`
`#include <cstdlib>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/select.h>`

Go to the source code of this file.

## Classes

struct | ModifyCmd
| Structure for one parsed modification command. More...
struct | CmdIdAndString
| Structure to link command identifiers to strings. More...
class | Params
| Implements the command line handling for the program. More...
struct | Params::YodAdjust
| Structure for year, month and day adjustment command line arguments. More...

## Typedefs

typedef std::vector< ModifyCmd > | ModifyCmds
| Container for modification commands.

## Enumerations

enum | CmdId { invalidCmdId , add , set , del , reg }
| Command identifiers.
enum | MetadataId { invalidMetadataId = Exiv2::mdNone , iptc = Exiv2::mdIptc , exif = Exiv2::mdExif , xmp = Exiv2::mdXmp }
| Metadata identifiers. More...

## Detailed Description

Defines class Params, used for the command line handling of exiv2.

Author
  Andreas Huggel (ahu) ahuggel@gmx.net

Date
  08-Dec-03, ahu: created

## Enumeration Type Documentation

## MetadataId

enum MetadataId

Metadata identifiers.

Metadata identifiers